> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Dataset Filesystem Entry



## OpenAPI

````yaml /api-reference/openapi.json post /api/datasets/{dataset_id}/filesystem/move
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/filesystem/move:
    post:
      tags:
        - api
        - datasets
      summary: Move Dataset Filesystem Entry
      operationId: >-
        move_dataset_filesystem_entry_api_datasets__dataset_id__filesystem_move_post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: version_id
          in: query
          required: false
          schema:
            type: string
            description: Must be "original" for write operations
            default: original
            title: Version Id
          description: Must be "original" for write operations
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetFilesystemMoveRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetFilesystemMoveResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetFilesystemMoveRequest:
      properties:
        source_path:
          type: string
          title: Source Path
        destination_dir:
          type: string
          title: Destination Dir
          default: ''
      type: object
      required:
        - source_path
      title: DatasetFilesystemMoveRequest
    DatasetFilesystemMoveResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        source_path:
          type: string
          title: Source Path
        destination_path:
          type: string
          title: Destination Path
        entry_type:
          type: string
          enum:
            - file
            - folder
          title: Entry Type
      type: object
      required:
        - dataset_id
        - source_path
        - destination_path
        - entry_type
      title: DatasetFilesystemMoveResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````